net.sf.jasperreports.export

## Interface Graphics2DReportConfiguration

- All Superinterfaces:
    CommonExportConfiguration, ReportExportConfiguration
  All Known Subinterfaces:
    PrintServiceReportConfiguration
  All Known Implementing Classes:
    SimpleGraphics2DReportConfiguration, SimplePrintServiceReportConfiguration

      public interface Graphics2DReportConfiguration
      extends ReportExportConfiguration

  Interface containing settings used by the Graphics2D exporter.
  Version:
    $Id: Graphics2DExporterConfiguration.java 6709 2013-11-08 14:39:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    `JRGraphics2DExporter`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `MINIMIZE_PRINTER_JOB_SIZE` Property that provides a default value for the `isMinimizePrinterJobSize()` exporter configuration setting.

    - ### Fields inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `PROPERTY_IGNORE_PAGE_MARGINS`

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Float` | `getZoomRatio()` The zoom ratio used for the export.
    `java.lang.Boolean` | `isIgnoreMissingFont()`
    `java.lang.Boolean` | `isMinimizePrinterJobSize()` Flag to control the use of an AWT rendering fix which causes the printer job size to be reduced when the exporter draws onto a printer graphic context.

    - ### Methods inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `getEndPageIndex, getExporterFilter, getHyperlinkProducerFactory, getOffsetX, getOffsetY, getPageIndex, getProgressMonitor, getStartPageIndex`

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Field Detail

    - #### MINIMIZE_PRINTER_JOB_SIZE

          static final java.lang.String MINIMIZE_PRINTER_JOB_SIZE

      Property that provides a default value for the `isMinimizePrinterJobSize()` exporter configuration setting.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getZoomRatio

          java.lang.Float getZoomRatio()

      The zoom ratio used for the export. The default value is 1.

    - #### isMinimizePrinterJobSize

          java.lang.Boolean isMinimizePrinterJobSize()

      Flag to control the use of an AWT rendering fix which causes the printer job size to be reduced when the exporter draws onto a printer graphic context. The fix was introduced to solve an old Java printing problem related to the size of printer spool jobs. However, it causes problems when bidirectional text is rendered, by losing text direction information. This flag is true, by default and should be set to false when bidirectional writing is present in the document that is sent to the printer.
      See Also:
        `MINIMIZE_PRINTER_JOB_SIZE`

    - #### isIgnoreMissingFont

          java.lang.Boolean isIgnoreMissingFont()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com